*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
img,
section,
div{
    max-width: 100%;
}
html{
    scroll-behavior: smooth;
} 
img {
  max-width: 100%;
  height: auto;
}

body {
  overflow-x: hidden;
}

.div-1{
    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;

    padding: 0 40px;

    position: relative;
    top: 10px;
}
nav{
    width: 50%;
    position: relative;
}

.nav-links{
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    list-style: none;
    gap: 25px;
}
.nav-links li{
    position: relative;
    bottom: 8px;
}

.hamburger{
    display: none;

    font-size: 36px;
    color: white;
    cursor: pointer;
    position: relative;
    bottom: 11.5px;
    right: 7px;
}
.logo{
    width: 270px;
    height: auto;
    position: relative;
    top: 15px;
}
.pd{
     font-family: "Poppins", sans-serif;
     font-size: 31.1px;
     letter-spacing: 5px;

}
.pp{
   font-family: "Poppins", sans-serif;
   color: gold; 
   letter-spacing: 3px;

}
.dd{
    position: inherit;
    top: -10px;
    line-height: 23px;
}


header{
    display: flex;
    justify-content: space-evenly;
    position: sticky;
    color: white;
    top: 0;
    z-index: 1000;
    background-color: rgb(8, 21, 59);
    height: 100px;
}
nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-link{
    text-decoration: none;
    color: white;
    position: relative;
    padding-bottom: 10px;
    transition: 0.3s;
}

.nav-link:hover{
    color: gold;
}

.nav-link::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -8px;
    width: 0%;
    height: 2px;
    background: gold;
    transition: 0.3s;
}

.nav-link:hover::after{
    width: 100%;
}

.active-link{
    color: gold;
}

.active-link::after{
    width: 100%;
}
.offa{
    text-decoration: none;
    color: black;
}

.blis{
    background-color: gold;
    width: 200px;
    height: 40px;
    position: relative;
    bottom: 10px;
    border-radius: 5px;
    color: black;
    cursor: pointer;
    transition: 0.3s;
}
.blis:hover{
    background-color: transparent;
    border-color: gold;
    color: white;
    transform: scale(1.1);
}

.hero{
    background-color: rgb(8, 21, 59);
    background-image:
    linear-gradient(rgba(8, 21, 59, 0.8),
    rgba(8, 21, 59, 0.8)),
    url("construction.jpg");
    /* color: white; */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 90vh;

    display: flex;
    align-items: center;

    padding: 0 60px;
}

.hero-text{
    width: 50%;
    font-family: "Poppins", sans-serif;
}

.herot{
    font-size: 60px;
    font-family: "Poppins", sans-serif;
    line-height: 70px;
    color: white;
}
.p-1{
    font-size: 20px;
    line-height: 34px;
    color: gold;
}
.about{
    padding: 100px 60px;
    font-family: "Poppins", sans-serif;
    background-color: white;
}

.about-container{
    display: flex;
    justify-content: center;
}

.about-text{
    width: 70%;
    text-align: center;
}

.about-small{
    color: gold;
    font-weight: 600;
    margin-bottom: 15px;
}

.about-text h2{
    font-size: 45px;
    color: rgb(8, 21, 59);
    margin-bottom: 20px;
}

.about-text p{
    color: gray;
    line-height: 30px;
}

.p-2{
    margin-top: 20px;
    font-size: 18px;
    line-height: 30px;
    color: white;
}

.but-2{
    margin-top: 30px;
    width: 230px;
    height: 50px;

    background-color: gold;
    border-radius: 5px;

    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}
.but-2:hover{
    background-color:transparent;
    border-color: gold;
    color: white;
    transform: scale(0.9);
}
.but-22{
    margin-top: 30px;
    width: 180px;
    height: 50px; 
    
    background-color: transparent;
    border-color: gold;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    transition: 0.3s;


    font-size: 16px;
    font-weight: bold;
}
.but-22:hover{
    background-color: gold;
    color: black;
    transform: scale(0.9);
}
.frisbut{
    position: relative;
    bottom: 10px;
}
.hero{
    position: relative;
    overflow: hidden;
}

.curve{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
}

.curve svg{
    display: block;
    width: 100%;
}
.services{
    padding: 100px 60px;
    /* background-color: rgb(245, 247, 250); */

    font-family: "Poppins", sans-serif;
}

.service-title{
    text-align: center;
}

.serve-small{
    color: gold;
    font-weight: 600;
    margin-bottom: 10px;
}

.service-title h2{
    font-size: 45px;
    color: rgb(8, 21, 59);

    line-height: 55px;
}

.service-container{
    display: flex;
    gap: 30px;

    margin-top: 60px;
    flex-wrap: wrap;
}
.service-container,
.footer-container {
    flex-wrap: wrap;
}

.service-card{
    background-color: white;

    padding: 40px 30px;

    border-radius: 10px;

    box-shadow: 0px 5px 20px rgba(0,0,0,0.08);

    transition: 0.3s;
    flex: 1 1 0;
}

.service-card h3{
    color: rgb(8, 21, 59);
    margin-bottom: 20px;
}

.service-card p{
    /* color: gray; */
    line-height: 28px;

}

.service-card:hover,
.choose-card:hover{
    transform: translateY(-10px);
}
.service-card{
    min-width: 250px;
}
.footer-box{
    min-width: 250px;
}
.choose{
    padding: 100px 60px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    gap: 60px;

    font-family: "Poppins", sans-serif;
}

.choose-text{
    width: 45%;
}

.choose-small{
    color: gold;
    font-weight: 600;
    margin-bottom: 15px;
}

.choose-text h2{
    font-size: 45px;
    color: rgb(8, 21, 59);

    line-height: 55px;
}

.choose-p{
    margin-top: 20px;

    line-height: 30px;
    color: gray;
}

.choose-container{
    width: 50%;

    display: grid;
    grid-template-columns: 1fr 1fr;

    gap: 25px;
}

.choose-card{
    background-color: rgb(245, 247, 250);

    padding: 40px 20px;

    border-radius: 10px;

    text-align: center;

    transition: 0.3s;
    height: 100%;
}

.choose-card h3{
    font-size: 40px;
    color: gold;

    margin-bottom: 10px;
}

.choose-card p{
    color: rgb(8, 21, 59);
    font-weight: 500;
}

.choose-card:hover{
    transform: translateY(-10px);

    background-color: rgb(8, 21, 59);
}

.choose-card:hover p{
    color: white;
}
.contact{
    padding: 100px 60px;

    background-color: rgb(8, 21, 59);

    display: flex;
    justify-content: space-between;
    align-items: center;

    gap: 60px;

    font-family: "Poppins", sans-serif;
}

.contact-text{
    width: 45%;
}

.contact-small{
    color: gold;
    font-weight: 600;

    margin-bottom: 15px;
}

.contact-text h2{
    font-size: 45px;

    line-height: 55px;

    color: white;
}

.contact-p{
    margin-top: 20px;

    line-height: 30px;

    color: rgb(220, 220, 220);
}

.contact-form{
    width: 50%;

    display: flex;
    flex-direction: column;

    gap: 20px;
}

.contact-form input,
.contact-form textarea{
    width: 100%;

    padding: 18px;

    border: none;
    border-radius: 5px;

    font-family: "Poppins", sans-serif;

    outline: none;
}

.contact-form textarea{
    height: 150px;

    resize: none;
}

.typb{
    width: 200px;
    height: 50px;

    /* border: none; */
    border-radius: 5px;

    background-color: gold;

    font-weight: bold;

    cursor: pointer;

    transition: 0.3s;
}

.typb:hover{
    transform: scale(1.05);
    background-color: transparent;
    color: white;
    /* border-color: gold; */
    border: 2px solid gold;
}
.footer{
    background-color: rgb(5, 15, 40);

    color: white;

    padding-top: 80px;

    font-family: "Poppins", sans-serif;
}

.footer-container{
    display: flex;
    justify-content: space-between;

    gap: 50px;

    padding: 0 60px 60px 60px;
}

.footer-box{
    width: 30%;
}

.footer-box h2,
.footer-box h3{
    margin-bottom: 20px;

    color: gold;
}

.footer-box p{
    line-height: 35px;

    color: rgb(220, 220, 220);
}

.footer-box i{
    color: gold;

    margin-right: 10px;
}

.footer-bottom{
    border-top: 1px solid rgba(255,255,255,0.1);

    text-align: center;

    padding: 20px;
}

.footer-bottom p{
    color: rgb(180,180,180);
}
.hidden{
    opacity: 0;
    transform: translateY(50px);
    transition: all 1s ease;
}

.show{
    opacity: 1;
    transform: translateY(0);
}
@media (max-width: 1024px) {

  .hero {
    flex-direction: column;
    text-align: center;
    padding: 60px 30px;
    height: auto;
  }

  .hero-text {
    width: 100%;
  }

  .herot {
    font-size: 45px;
    line-height: 55px;
  }

  .service-container {
    flex-wrap: wrap;
    justify-content: center;
  }

  .service-card {
    flex: 1;
}

  .choose {
    flex-direction: column;
  }

  .choose-text,
  .choose-container {
    width: 100%;
  }

  .contact {
    flex-direction: column;
  }

  .contact-text,
  .contact-form {
    width: 100%;
  }

  .footer-container {
    flex-wrap: wrap;
  }

  .footer-box {
    width: 45%;
  }
}
@media (max-width: 768px) {

    .div-1{
    padding: 0 20px;
}
.frisbut {
  display: flex;
  flex-direction: column;
  gap: 12px;
  align-items: center;
}
.but-2 {
  width: 220px;
}
.hero-text{
    width: 100%;
}
.services,
.choose,
.contact,
.footer{
    padding-left: 20px;
    padding-right: 20px;
}
.service-title h2,
.choose-text h2,
.contact-text h2{
    font-size: 30px;
    line-height: 40px;
}
.choose{
    gap: 40px;
}
.footer-box{
    text-align: left;
}
.service-card,
.choose-card{
    padding: 30px 20px;
}

.but-22 {
  width: 180px;
}

.logo{
    width: 180px;
    position: relative;
    right: 35px;
}

nav{
    width: auto;
}

.hamburger{
    display: block;
    position: relative;
    top: 0.001px;
    right: 30px;
    font-size: 25px;
}

/* .nav-links{
    position: absolute;

    top: 60px;
    right: 0;

    background-color: white;

    width: 250px;

    flex-direction: column;
    align-items: flex-start;

    padding: 20px;

    gap: 20px;

    border-radius: 10px;
    box-shadow: 0px 5px 20px rgba(0,0,0,0.15);

    display: none;
} */
 .nav-links{
    position: absolute;

    top: 60px;
    right: 0;

    background-color: white;

    width: 250px;

    flex-direction: column;
    align-items: flex-start;

    padding: 20px;

    gap: 20px;

    border-radius: 10px;

    box-shadow: 0px 5px 20px rgba(0,0,0,0.15);

    display: none;

    z-index: 1000;
}
.nav-links a{
    color: rgb(15, 15, 15);
}
.nav-links .ll{
    color: gold;
}

.nav-links.active{
    display: flex;
}
.herot {
    font-size: 28px;
    line-height: 38px;
}

h2 {
    font-size: 24px !important;
    line-height: 32px;
}

.blis{
    width: 100%;
    bottom: 0;
    display: none;
}

  /* NAV */
  

  .blis {
    width: 100%;
  }

  /* HERO */
  .hero {
    padding: 40px 20px;
    height: auto;

    text-align: center;
  }
  .service-container,
.choose-container,
.footer-container,
.contact,
.choose{
    width: 100%;
    overflow: hidden;
}
  .curve{
    bottom: -40px;
  }

  .herot {
    font-size: 32px;
    line-height: 42px;
  }

  .p-1 {
    font-size: 16px;
  }

  .p-2 {
    font-size: 15px;
  }

  /* SERVICES */
  .service-container {
    flex-direction: column;
  }

  .about{
    padding: 60px 20px;
}

.about-text{
    width: 100%;
}

.about-text h2{
    font-size: 24px;
}
.about-text p{
    font-size: 14px;
    line-height: 26px;
}

  .service-card {
    width: 100%;
  }

  /* CHOOSE */
  .choose-container {
    grid-template-columns: 1fr;
  }
  .ll::after{
    display: none;
}
.service-card,
.choose-card,
.footer-box{
    width: 100%;
    min-width: 0;
}

  /* CONTACT */
  .contact {
    padding: 60px 20px;
  }

  /* FOOTER */
  .footer-container {
    flex-direction: column;
    overflow: hidden;
  }

  .footer-box {
    width: 100%;
  }
  .footer-box p{
    word-break: break-word;
    line-height: 28px;
    font-size: 14px;
}
}
@media (max-width: 400px) {
    .herot {
        font-size: 22px;
        line-height: 30px;
    }

    .p-2, .p-1 {
        font-size: 14px;
    }

    .blis {
        width: 100%;
    }
}
@media (max-width: 480px) {

    .herot{
        font-size: 24px;
        line-height: 32px;
    }

    .service-title h2,
    .choose-text h2,
    .contact-text h2,
    .about-text h2{
        font-size: 22px;
        line-height: 30px;
    }

    .p-1,
    .p-2,
    .about-text p,
    .choose-p,
    .contact-p,
    .service-card p{
        font-size: 14px;
        line-height: 24px;
    }

    .service-card,
    .choose-card{
        padding: 25px 15px;
    }

    .nav-links{
        width: 220px;
    }

}